AutoCAD顧問
還沒有註冊嗎...即日起免費註冊,所有最完整的AutoCAD討論、教學及資源都在論壇裡喔~
[討論]如何選取不帶度數的直線 Oo-2-110 [討論]如何選取不帶度數的直線 Ia15010 [討論]如何選取不帶度數的直線 Ziao1510 [討論]如何選取不帶度數的直線 BPl3tjj [討論]如何選取不帶度數的直線 Uos15010 [討論]如何選取不帶度數的直線 Uos15011

[討論]如何選取不帶度數的直線

向下

[討論]如何選取不帶度數的直線 Empty [討論]如何選取不帶度數的直線

發表 由 green830312 于 2018-11-13, 11:44

(defun C:tt ()
;;
(setq E (ssget '((0 . "LINE")) ))
;;
(command "MOVE" E "")
(princ)
)

請問是否能用ssget選取集
同時篩選出xy方向
不帶度數的直線??

如下圖為使用快速選擇下的效果,謝謝大家~

[討論]如何選取不帶度數的直線 Snap412
[討論]如何選取不帶度數的直線 Snap212
avatar
green830312
一般會員
一般會員

文章總數 : 4
年齡 : 25
來自 : 新北市新莊區
職業 : 行政助理
愛好 : 3C
個性 : 安靜
使用年資 : 新手初學
使用版本 : 新手初學
經驗值 : 361
威望值 : 12
注冊日期 : 2018-07-04
女 雙魚座 狗

回頂端 向下

[討論]如何選取不帶度數的直線 Empty 回復: [討論]如何選取不帶度數的直線

發表 由 naruto018 于 2018-11-13, 16:55

參考看看
代碼:
(defun c:tt  (/ E N ss0 ss1 ss2 x1 x2 y1 y2)
    (setq E (ssget '((0 . "LINE")) ))
    (setq N 0)
    (setq ss0 (ssadd))
    (repeat (if E (sslength E) 0)
 (setq ss1 (ssname E N)
      ss2 (entget ss1)
      x1 (cadr (assoc 10 ss2))
      x2 (cadr (assoc 11 ss2))
      y1 (caddr (assoc 10 ss2))
      y2 (caddr (assoc 11 ss2))
      )
 (if (or (= x1 x2) (= y1 y2))
    (setq ss0 (ssadd ss1 ss0)))
 (setq N (1+ N))
 );_repeat
    (command "MOVE" ss0 "")
    (princ)
    );_結束

Tiger&蘋果爸 寫到:讚啦!! 謝謝熱心程式分享~< 積分 +1>
[公告]關於團隊成員的回文及貢獻

naruto018
naruto018
中級會員
中級會員

文章總數 : 147
年齡 : 27
來自 : 高雄
職業 : 學習中(CAD,Revit,Excel VBA)
愛好 : 當個懶熊
個性 : 內向
使用年資 : 新手
使用版本 : 2015
AutoCAD基礎篇等級 : 10星級
積分 : 5
經驗值 : 1902
威望值 : 299
注冊日期 : 2016-11-29
藍鵲726號
男 摩羯座 羊

回頂端 向下

[討論]如何選取不帶度數的直線 Empty 回復: [討論]如何選取不帶度數的直線

發表 由 green830312 于 2018-11-13, 17:35

naruto018 寫到:參考看看
代碼:
(defun c:tt  (/ E N ss0 ss1 ss2 x1 x2 y1 y2)
    (setq E (ssget '((0 . "LINE")) ))
    (setq N 0)
    (setq ss0 (ssadd))
    (repeat (if E (sslength E) 0)
 (setq ss1 (ssname E N)
      ss2 (entget ss1)
      x1 (cadr (assoc 10 ss2))
      x2 (cadr (assoc 11 ss2))
      y1 (caddr (assoc 10 ss2))
      y2 (caddr (assoc 11 ss2))
      )
 (if (or (= x1 x2) (= y1 y2))
    (setq ss0 (ssadd ss1 ss0)))
 (setq N (1+ N))
 );_repeat
    (command "MOVE" ss0 "")
    (princ)
    );_結束

學習了,感謝~ 害羞
avatar
green830312
一般會員
一般會員

文章總數 : 4
年齡 : 25
來自 : 新北市新莊區
職業 : 行政助理
愛好 : 3C
個性 : 安靜
使用年資 : 新手初學
使用版本 : 新手初學
經驗值 : 361
威望值 : 12
注冊日期 : 2018-07-04
女 雙魚座 狗

回頂端 向下

回頂端


 
這個論壇的權限:
無法 在這個版面回復文章
[討論]如何選取不帶度數的直線 Uos15011 [討論]如何選取不帶度數的直線 Uos15010 [討論]如何選取不帶度數的直線 BPl3tjj [討論]如何選取不帶度數的直線 Ziao1510 [討論]如何選取不帶度數的直線 Ia15010 [討論]如何選取不帶度數的直線 Oo-2-110